# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryGridConnections

Function

Returns information about a connections grid.

Syntax
`
#include <dx/dx.h>
`

Array DXQueryGridConnections(Array a, int *n, int *counts)

Functional Details

This routine can be used to check whether a connections Array is a regular grid.

Returns `NULL` if `a` is not an Array of regular grid connections of the sort constructed by `DXMakeGridConnections` (i.e., a Mesh Array containing only terms of type Path Array). If `n` is not `NULL`, returns the number of dimensions in the grid in `*n`. If `counts` is not `NULL`, returns the number of points along each axis in the Array pointed to by `counts`.

This routine is typically used to recognize "connections" components that are fully regular and, in most cases, much simpler to handle than regular or partially regular connections.

Return Value

Returns `a` if it is a grid connections Array or returns `NULL` but does not set an error code.

See Also

`DXMakeGridConnections, DXMakeGridConnectionsV, DXMakeGridPositions, DXMakeGridPositionsV, DXQueryGridPositions`

"Creating Positions and Connections Grids".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]